globaldem: Access global topographic datasets

API: opentopography.org:opentopography-api
Endpoint: /globaldem
Response format: unknown
Auth: api_key
Method: GET
Last Status: 406
Latency: 1212ms

Description

Access global topographic datasets including SRTM GL3 (Global 90m), GL1 (Global 30m), ALOS World 3D, SRTM15+ V2.1, GEBCO IceTopo, and GEBCO SubIceTopo (Global Bathymetry 500m). Note: Requests are limited to 500,000,000 km² for GEDI L3, 125,000,000 km² for SRTM15+ V2.1, GEBCO IceTopo, and GEBCO SubIceTopo, 4,050,000 km² for SRTM GL3, COP90 and 450,000 km² for all other data.

Parameters (7)

API_Key (string, query, required, default: demoapikeyot2022)

All datasets require API key for access. Users can request an API key via myOpenTopo in the OpenTopography portal. See OpenTopography Terms of Use for more information on appropriate use of the API.

demtype (string, query, required)

Available global raster datasets: SRTMGL3 (SRTM GL3 90m), SRTMGL1 (SRTM GL1 30m), SRTMGL1_E (SRTM GL1 Ellipsoidal 30m), AW3D30 (ALOS World 3D 30m), AW3D30_E (ALOS World 3D Ellipsoidal, 30m), SRTM15Plus (Global Bathymetry SRTM15+ V2.1 500m), NASADEM (NASADEM Global DEM), COP30 (Copernicus Global DSM 30m), COP90 (Copernicus Global DSM 90m), EU_DTM (DTM 30m), GEDI_L3 (DTM 1000m), GEBCOIceTopo (Global Bathymetry 500m), GEBCOSubIceTopo (Global Bathymetry 500m), CA_MRDEM_DSM (DSM 30m), CA_MRDEM_DTM (DTM 30m). All datasets require API key for access.

Constraints: {'enum': ['SRTMGL3', 'SRTMGL1', 'SRTMGL1_E', 'AW3D30', 'AW3D30_E', 'SRTM15Plus', 'NASADEM', 'COP30', 'COP90', 'EU_DTM', 'GEDI_L3', 'GEBCOIceTopo', 'GEBCOSubIceTopo', 'CA_MRDEM_DTM', 'CA_MRDEM_DSM']}

east (number, query, required)

WGS 84 bounding box east coordinates

Constraints: {'minimum': -180, 'maximum': 180}

north (number, query, required)

WGS 84 bounding box north coordinates

Constraints: {'minimum': -90, 'maximum': 90}

outputFormat (string, query, optional, default: GTiff)

Output Format (optional) - GTiff for GeoTiff, AAIGrid for Arc ASCII Grid, HFA for Erdas Imagine (.IMG). Defaults to GTiff if parameter is not provided

Constraints: {'enum': ['GTiff', 'AAIGrid', 'HFA']}

south (number, query, required)

WGS 84 bounding box south coordinates

Constraints: {'minimum': -90, 'maximum': 90}

west (number, query, required)

WGS 84 bounding box west coordinates

Constraints: {'minimum': -180, 'maximum': 180}

Examples (1)

Access global topographic datasets openapi-spec
curl 'https://portal.opentopography.org/API/globaldem?demtype=SRTMGL3&south=50&north=50.1&west=14.35&east=14.6&outputFormat=GTiff'
import requests

resp = requests.get(
    "https://portal.opentopography.org/API/globaldem",
    params={
        'demtype': 'SRTMGL3',
        'south': '50',
        'north': '50.1',
        'west': '14.35',
        'east': '14.6',
        'outputFormat': 'GTiff',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("opentopography")
result = api.fetch("globaldem", demtype="SRTMGL3", south=50, north=50.1, west=14.35, east=14.6, outputFormat="GTiff")

for item in result:
    print(item)
const resp = await fetch("https://portal.opentopography.org/API/globaldem?demtype=SRTMGL3&south=50&north=50.1&west=14.35&east=14.6&outputFormat=GTiff");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 00:36:48.950163 406 1212ms
2026-04-15 02:54:33.100863 406 768ms
2026-04-14 02:17:24.725033 406 782ms
2026-04-12 16:54:07.569415 406 926ms
2026-04-10 00:35:33.618979 406 490ms
2026-04-09 02:58:05.834997 406 1636ms